# Class Controller

#### Hierarchy

- Controller

- Defined in src/profile/drawLineComponent.js:86

#####
Index

### Properties

active
features_
getMapFn
getStyleFn
interaction
line
map_

### Methods

$onInit
clear_

## Properties

### active

active: boolean

- Defined in src/profile/drawLineComponent.js:100

### features_

features_: Collection<Feature<Geometry>>

- Defined in src/profile/drawLineComponent.js:105

### getMapFn

getMapFn: (() => Map)

#### Type declaration

- - (): Map

  - #### Returns Map

- Defined in src/profile/drawLineComponent.js:110

### getStyleFn

getStyleFn: (() => Style)

#### Type declaration

- - (): Style

  - #### Returns Style

- Defined in src/profile/drawLineComponent.js:115

### interaction

interaction: Draw

- Defined in src/profile/drawLineComponent.js:134

### line

line: LineString

- Defined in src/profile/drawLineComponent.js:90
- Defined in src/profile/drawLineComponent.js:154
- Defined in src/profile/drawLineComponent.js:206

### map_

map_: Map

- Defined in src/profile/drawLineComponent.js:95
- Defined in src/profile/drawLineComponent.js:197

## Methods

### $onInit

- $onInit(): void

- Initialize the controller.

  #### Returns void

  - Defined in src/profile/drawLineComponent.js:189

### clear_

- clear_(): void

- Clear the overlay and profile line.

  #### Returns void

  - Defined in src/profile/drawLineComponent.js:204

Generated using TypeDoc